import { XPromiseError } from '../error';

/** promise 重试错误 */
export declare class XPromiseRetryError extends XPromiseError {
    errorList: Error[];
    constructor(errorList: Error[], message?: string);
}
/** promise 重试选项 */
export interface XPromiseRetryOptions {
    /** 最大重试次数 */
    maxRetry?: number;
    /** 是否还可以重试 */
    canRetry?: (
    /** 当前重试次数 */
    retryCount: number) => boolean;
    /** 延迟时间 */
    delay?: ((
    /** 当前重试次数 */
    retryCount: number) => number) | number;
}
/** promise 重试 */
export declare const promiseRetry: <T>(createPromise: (retryCount: number) => Promise<T>, { maxRetry, canRetry, delay, }: XPromiseRetryOptions) => Promise<T>;
